package com.muyu.rule.common.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：张承志
 * @Package：com.muyu.etl.common.domain.req
 * @Project：cloud-etl
 * @name：EtlRuleUpdReq
 * @Date：2024/8/21 23:48
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "客户端规则修改请求对象")
public class EtlRuleUpdReq {


    /** 规则名称 */
    private String name ;
    /** 规则类型 */

    private String type ;
    /** 全限定类名 */

    private String fullClassName ;

    /** 是否公开 0已激活 1未激活 */
    private String open ;


    /** 状态 0正常 1停用 */
    private String status ;

/**
 * 备注
 */

private String remark;


}
