package com.muyu.rule.common.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @Author：张承志
 * @Package：com.muyu.etl.common.domain.req
 * @Project：cloud-etl
 * @name：EtlRuleListReq
 * @Date：2024/8/21 21:42
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@Tag(name = "客户端规则列表请求对象")
public class EtlRuleListReq {


    /** 数据来源类型 */
    private String type ;
    /** 数据来源名称 */
    private String name ;

    /** 是否公开 0已激活 1未激活 */
    private String open ;


    /** 状态 0正常 1停用 */
    private String status ;




}
